import * as n from "react";
import k from "./Mark.mjs";
function o(e) {
  var i = e.prefixCls, l = e.marks, m = e.onClick, r = "".concat(i, "-mark");
  return l.length ? /* @__PURE__ */ n.createElement("div", {
    className: r
  }, l.map(function(a) {
    var t = a.value, s = a.style, c = a.label;
    return /* @__PURE__ */ n.createElement(k, {
      key: t,
      prefixCls: r,
      style: s,
      value: t,
      onClick: m
    }, c);
  })) : null;
}
export {
  o as default
};
